//
//  FBFAnimation.m
//  Created by Onur Ersel 15.02.2012.
//  Copyright (c) 2012 Onur Ersel. All rights reserved.
//

#import <QuartzCore/QuartzCore.h>
#import <Foundation/Foundation.h>

@interface FBFAnimation : UIImageView
{
    CADisplayLink   *displayLink;
    CFTimeInterval  startTime;
    SEL             endSelector;
    id              endDelegate;
    BOOL            isAnimatingOverride;
    NSArray         *imageCache;
    unsigned int    startFrame;
    NSMutableArray  *animationFramesArray;
}

@property (nonatomic, retain)       NSArray         *animationArray;
@property (nonatomic, readwrite)    BOOL            isLooping;
@property (nonatomic, readwrite)    unsigned int    fps;
@property (nonatomic, readwrite)    unsigned int    currentAnimationFrame;

- (id)initWithSequenceName:(NSString*)constantNameValue   imageCount:(unsigned int)imageCountValue   numberStartsWith:(unsigned int)startValue   suffix:(NSString*)suffixValue;
- (id)initWithNameArray:(NSArray*)pNamesArray   suffix:(NSString*)pSuffix;
- (void) update:(CADisplayLink *)sender;
-(void)startAnimatingWithAnimationFramesArray:(NSArray*)animationFramesArrayValue  andFPS:(unsigned int)fpsValue  isLooping:(BOOL)isLoopingValue   startFrame:(unsigned int)startFrameValue;
-(void)startAnimatingWithFPS:(unsigned int)fpsValue;
-(void)setEndDelegate:(id)delegate  andSelector:(SEL)selector;
-(void)setDisplayFrame:(unsigned int)displayFrameValue;
-(void)resumeAnimating;

@end
