//
//  FBFAnimation.m
//  Created by Onur Ersel 15.02.2012.
//  Copyright (c) 2012 Onur Ersel. All rights reserved.
//

#import "FBFAnimationViewController.h"

@implementation FBFAnimationViewController

#pragma mark - View lifecycle

-(void)dealloc
{
    [animation removeFromSuperview];
    [animation release];
    [super dealloc];
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    //init object
    animation = [[FBFAnimation alloc] initWithSequenceName:@"" imageCount:13 numberStartsWith:1 suffix:@"png"];
    [self.view addSubview:animation];
    
    //starting animation
    [animation startAnimatingWithFPS:11];
    
    //this delegate method will be called when the animation reaches its end
    [animation setEndDelegate:self andSelector:@selector(animationEnd:)];
    
    //you can loop animations
    animation.isLooping = YES;
    
    //just centering view to center of screen
    
    animation.frame = CGRectMake(
                                 round(self.view.frame.size.width/2 - animation.frame.size.width/2), 
                                 round(self.view.frame.size.height/2 - animation.frame.size.height/2), 
                                 animation.frame.size.width, 
                                 animation.frame.size.height);
    
    
    //delayed calls for testing
    //[NSTimer scheduledTimerWithTimeInterval:.4 target:self selector:@selector(stopTest) userInfo:nil repeats:NO];
    //[NSTimer scheduledTimerWithTimeInterval:2 target:self selector:@selector(resumeTest) userInfo:nil repeats:NO];
}

-(void)stopTest
{
    //stops/pauses animation
    [animation stopAnimating];
}

-(void)resumeTest
{
    //resumes animation from the point it stopped
    [animation resumeAnimating];
}

-(void)animationEnd:(FBFAnimation*)animationValue
{
    NSLog(@"Looping animations will never end, so this output will not be called until you comment out the line 'animation.isLooping = YES;' above.");
}

@end
